Error al compilar un script de iptables

Imagen de dabuferix
0 puntos

Hola a todos y gracias de ante mano a toda la comunidad.. la consulta es la siguiente ya q soy novato en linux, tengo instalado en mi fierro ubuntu 8.04 lts de hardy con kernel 2.6.24-30server.

Se me ah presentado un problema cuando corro un script con reglas de iptables me arroja este error
" 'ptables v1.3.8: Invalid target name `MASQUERADE
Try `iptables -h' or 'iptables --help' for more information.
'ptables v1.3.8: Invalid target name `ACCEPT
Try `iptables -h' or 'iptables --help' for more information." y asi las siguiente las reglas son sumamente sencillas y antes me funcionaban con normalidad, lo q realice fue una actualizacion de que me solicito y acepte tambien instales el firestarter, un bridge para compartir internet, ahora q quiero ejecutar y nada me bota ese error e quitado todo lo q instale e igual alguna idea si actualizando el kernel o q se yo puede q falta los modulo como reviso eso gracias...... disculpen el no saber y si mis preguntas resultan bobadas pero quiero aprender y seran de muchas ayuda para mi y asi poder ayudar a otros muy gentil

Imagen de Scorpyo82
+1
0
-1

Creo que la 8.04 lts ya no tiene soporte porque como mucho antes daban 3 años, ahora empiezan con 5 años de soporte, es solo un dato que deberías tener en cuenta.

Por otro lado yo creo que te refieres a ejecutar un scirpt, no ha 'compilarlo'.

Parece que en el script pueda haber ordenes que se han quedado antiguas, si no es muy largo, pega aquí el contenido del script y lo vemos a ver que sacamos en claro.

Un saludo.

+1
0
-1

Si entro en Window$ estoy más tenso que en el bautizo de un gremlin.
Linux user: 545.017
Por favor, si solucionas el hilo añade [Solucionado] al título.

Imagen de dabuferix
+1
0
-1

Que version Lts me recomiendas, te cuento que encontre el error son estas lineas que en siii, no tenian logica, ya que esty usando un bridge en la eth0 y eth1 mi fierro tienes 4 ports de red aqui post mis dos lineas de codigo que me daban error q tuve q ir probando linea por linea para ver el error y q arrojaba es verdad es un script perdona mi nob XD ....
iptables -t nat -A POSTROUTING -o eth0 -s 10.8.1.0/29 -j MASQUERADE
iptables -A INPUT -i br0 -j ACCEPT

ahora, como puedo tener un version mejor sin instalar puedo update o no !!!

+1
0
-1
Imagen de dabuferix
+1
0
-1

Que version Lts me recomiendas, te cuento que encontre el error son estas lineas que en siii, no tenian logica, ya que esty usando un bridge en la eth0 y eth1 mi fierro tienes 4 ports de red aqui post mis dos lineas de codigo que me daban error q tuve q ir probando linea por linea para ver el error y q arrojaba es verdad es un script perdona mi nob XD ....
iptables -t nat -A POSTROUTING -o eth0 -s 10.8.1.0/29 -j MASQUERADE
iptables -A INPUT -i br0 -j ACCEPT

ahora, como puedo tener un version mejor sin instalar puedo update o no !!!

+1
0
-1
Imagen de Scorpyo82
+1
0
-1

Pues dudo que puedas hacer desde consola un:

sudo apt-get dist-upgrade

Y si lo puedes hacer, creo que no podrías pasar directamente a la nueva LTS que es la 10.04 que tiene soporte hasta abril de 2013.

No estoy seguro y por eso no te recomiendo que actualices y pierdas todas tus configuraciones.

Yo primero organizaría todo los cambios que hiciste en esa versión de Ubuntu, por si algo sale mal y tienes que reinstalar con una LTS nueva, por lo menos tengas presente todos los cambios que has de hacer importantes, como cortafuegos (iptables), configuración de ssh, configuraciones de compiz (puedes guardar tu perfil y gargarlo en el nuevo sistema)

Ten cuidado también con los datos importantes si decides instalar una nueva versión, ya que si no hiciste particiones separadas para instalar / y /home todo estará en la misma partición y perderás todos los datos de tu /home, pero si las hiciste, no tendrás problemas, ya que todo está aparte y solo tendrías que tener presente no marcar la casilla de formatear al elegir "particionamiento manual" durante la instalación.

Un saludo y suerte.

PD: Que había mal en el script?

+1
0
-1

Si entro en Window$ estoy más tenso que en el bautizo de un gremlin.
Linux user: 545.017
Por favor, si solucionas el hilo añade [Solucionado] al título.

Imagen de dabuferix
+1
0
-1

No mi version corre bien todavia tengo unos mesesitos para poder entender bien todo esto de la actualizacion, y poder realizarla, espero contar con la comunidad o q suban algun post detallado para poder realizarlo, y es algo q a medida la gente va tener q realizar, y por algo se diferencia Linux, en especial ubuntu...... gracias tu aporte, lo q tenia mal es q estaba usando una interfaz en mis reglas q estan arriba q usa el bridge y eso me da problemas si las quito o ponga otras interface me corre sin normalidad pero me tome la paciencia llegando a asi algun dia llegar a la ciencia de saber a mas profundida el por q en sii... por ahora supe que era por ello, estare posteando me agradado mucho esta comunidad los felicito sinceramente si las personas fueran sencillas, honestas, sensatas, dedicadas, con objetivos claros este mundo informatico seria mejor gracias Scorpyo82 no cambies!!!!! mi email es burby87@hotmail.com si deseas agregarme mi nombre es Daniel

+1
0
-1
Imagen de Scorpyo82
+1
0
-1

Gracias por comentar el problema.

Tu formas parte de esta comunidad también desde que te registraste. :D

Un saludo

PD: Deberías añadir "Solucionado" al título del post.

+1
0
-1

Si entro en Window$ estoy más tenso que en el bautizo de un gremlin.
Linux user: 545.017
Por favor, si solucionas el hilo añade [Solucionado] al título.